/* 
 * Um objeto da classe EstatCalc pode ser usado para computar diversas estatísticas 
 * para um conjunto de números. Números são inseridos no conjunto de dados usando 
 * o método enter(double).  São fornecidos métodos para retornar as seguintes 
 * estatísticas para um conjunto de números que foram inseridos: O número de itens ,
 *  a soma dos itens, a média e o desvio padrão 
 */ 

public class EstatCalc { 
   private int contador;   // Número de itens que foram inseridos. 
   private double soma;  // A soma de todos os itens que foram inseridos. 
   private double quadSoma;  // A soma dos quadrados de todos os itens. 
   
   /** 
    * Adiciona um número ao conjunto de dados.  As estatísticas serão computadas 
    * para todos os números que foram inseridos no conjunto de dados usando este método. 
    */ 
   public void enter(double num) { 
      contador++; 
      soma += num; 
      quadSoma += num*num; 
   } 
   
   /** 
    * Retorna o número de itens que foram inseridos no conjunto. 
    */ 
   public int getContador() { 
      return contador; 
   } 
   
   /** 
    * Retorna a soma de todos os números que foram inseridos. 
    */ 
   public double getSoma() { 
      return soma; 
   } 
   
   /** 
    * Retorna a média de todos os itens inseridos. 
    * O valor de retorno é Double.NaN se nenhum número foi inserido. 
    */ 
   public double getMedia() { 
      return soma / contador;  
   } 
   
   /** 
    * Retorna o desvio padrão de todos os itens inseridos. 
    * O valor de retorno é Double.NaN se nenhum número foi inserido. 
    */ 
   public double getDesvioPadrao() {  
      double media = getMedia(); 
      return Math.sqrt( quadSoma/contador - media* media ); 
   } 
      
}  // Fim classe EstatCalc
